import request from '@/utils/request'

// 查询通道管理列表
export function listChannelNumber(query) {
  return request({
    url: '/system/channelNumber/list',
    method: 'get',
    params: query
  })
}

// 查询通道管理详细
export function getChannelNumber(channelId) {
  return request({
    url: '/system/channelNumber/' + channelId,
    method: 'get'
  })
}

// 新增通道管理
export function addChannelNumber(data) {
  return request({
    url: '/system/channelNumber',
    method: 'post',
    data: data
  })
}

// 修改通道管理
export function updateChannelNumber(data) {
  return request({
    url: '/system/channelNumber/put',
    method: 'post',
    data: data
  })
}

// 删除通道管理
export function delChannelNumber(channelId) {
  return request({
    url: '/system/channelNumber/delete/' + channelId,
    method: 'get'
  })
}
